package com.qingyun.service.compare;

import org.apache.pdfbox.text.TextPosition;

/**
 *  文本元素类（存储位置信息）
 */
public class TextElement {

    public String text;
    public int pageNumber;
    public float x, y, width, height;

    TextPosition position;

    TextElement(TextPosition position, int pageNumber) {
        this.text = position.getUnicode();
        this.pageNumber = pageNumber;
        this.x = position.getX();
        this.y = position.getY();
        this.width = position.getWidth();
        this.height = position.getHeight();
    }
}
